<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: &lt;SDWebImageManagerDelegate&gt; Protocol Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="protocol_s_d_web_image_manager_delegate-p-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">&lt;SDWebImageManagerDelegate&gt; Protocol Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for &lt;SDWebImageManagerDelegate&gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="protocol_s_d_web_image_manager_delegate-p.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:afbc064960f7056af7dc17a35bbb934d9"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_s_d_web_image_manager_delegate-p.html#afbc064960f7056af7dc17a35bbb934d9">imageManager:shouldDownloadImageForURL:</a></td></tr>
<tr class="separator:afbc064960f7056af7dc17a35bbb934d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fe8451de1622eda12107405c9802e05"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_s_d_web_image_manager_delegate-p.html#a7fe8451de1622eda12107405c9802e05">imageManager:shouldBlockFailedURL:withError:</a></td></tr>
<tr class="separator:a7fe8451de1622eda12107405c9802e05"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Method Documentation</h2>
<a id="a7fe8451de1622eda12107405c9802e05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fe8451de1622eda12107405c9802e05">&#9670;&nbsp;</a></span>imageManager:shouldBlockFailedURL:withError:()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) imageManager: </td>
          <td></td>
          <td class="paramtype">(nonnull <a class="el" href="interface_s_d_web_image_manager.html">SDWebImageManager</a> *)&#160;</td>
          <td class="paramname"><em>imageManager</em></td>
        </tr>
        <tr>
          <td class="paramkey">shouldBlockFailedURL:</td>
          <td></td>
          <td class="paramtype">(nonnull NSURL *)&#160;</td>
          <td class="paramname"><em>imageURL</em></td>
        </tr>
        <tr>
          <td class="paramkey">withError:</td>
          <td></td>
          <td class="paramtype">(nonnull NSError *)&#160;</td>
          <td class="paramname"><em>error</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Controls the complicated logic to mark as failed URLs when download error occur. If the delegate implement this method, we will not use the built-in way to mark URL as failed based on error code; </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">imageManager</td><td>The current <code><a class="el" href="interface_s_d_web_image_manager.html">SDWebImageManager</a></code> </td></tr>
    <tr><td class="paramname">imageURL</td><td>The url of the image </td></tr>
    <tr><td class="paramname">error</td><td>The download error for the url </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether to block this url or not. Return YES to mark this URL as failed. </dd></dl>

</div>
</div>
<a id="afbc064960f7056af7dc17a35bbb934d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbc064960f7056af7dc17a35bbb934d9">&#9670;&nbsp;</a></span>imageManager:shouldDownloadImageForURL:()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) imageManager: </td>
          <td></td>
          <td class="paramtype">(nonnull <a class="el" href="interface_s_d_web_image_manager.html">SDWebImageManager</a> *)&#160;</td>
          <td class="paramname"><em>imageManager</em></td>
        </tr>
        <tr>
          <td class="paramkey">shouldDownloadImageForURL:</td>
          <td></td>
          <td class="paramtype">(nonnull NSURL *)&#160;</td>
          <td class="paramname"><em>imageURL</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Controls which image should be downloaded when the image is not found in the cache.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">imageManager</td><td>The current <code><a class="el" href="interface_s_d_web_image_manager.html">SDWebImageManager</a></code> </td></tr>
    <tr><td class="paramname">imageURL</td><td>The url of the image to be downloaded</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Return NO to prevent the downloading of the image on cache misses. If not implemented, YES is implied. </dd></dl>

</div>
</div>
<hr/>The documentation for this protocol was generated from the following file:<ul>
<li><a class="el" href="_s_d_web_image_manager_8h_source.html">SDWebImageManager.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
